Subject: Re: [PATCH] powerpc/configs: Enbale Freescale IFC controller

From: Prabhakar Kushwaha <[email-masked]>
Date: Sat, 18 Jan 2014 09:16:52 +0530

On 1/18/2014 12:19 AM, Scott Wood wrote:
> On Fri, 2014-01-17 at 11:02 -0600, Kumar Gala wrote:
>> On Jan 17, 2014, at 12:09 AM, Prabhakar Kushwaha <[email-masked]> wrote:
>>
>>> Currently IFC NAND driver is enabled in corenet32smp_defconfig. But IFC
>>> controller is not enabled
>>>
>>> So, Enable IFC controller in corenet32smp_defconfig.
>>>
>>> Signed-off-by: Prabhakar Kushwaha <[email-masked]>
>>> ---
>>> Based upon git://git.kernel.org/pub/scm/linux/kernel/git/scottwood/linux.git
>>> branch master
>>>
>>> arch/powerpc/configs/corenet32_smp_defconfig |    1 +
>>> 1 file changed, 1 insertion(+)
>> Shouldn’t the NAND driver get the IFC controller enabled by Kconfig dependancies?
> Yes (by select, not dependencies).
>
> Prabhakar, was there an actual problem you saw before?  Did you run
> savedefconfig after making this change?
>
> CONFIG_FSL_IFC isn't even user-selectable (though it probably should be,
> as how else would it get enabled in the absence of NAND for catching NOR
> errors?).
>

Thanks Kumar and Scott for reviewing this patch.

Yes, it should be enabled by Kconfig dependency.   as we have
config FSL_IFC
     bool
         depends on FSL_SOC

The only reason I changed this code because i wanted all powerpc/configs 
to be similar as they have CONFIG_FSL_IFC enabled by default.

arch/powerpc/configs/mpc85xx_smp_defconfig:54:CONFIG_FSL_IFC=y
arch/powerpc/configs/corenet64_smp_defconfig:29:CONFIG_FSL_IFC=y
arch/powerpc/configs/mpc85xx_defconfig:51:CONFIG_FSL_IFC=y

So either I should add in corenet32smp_defconfig to make similar to others.
or
remove from all.

I chose first option.

Regards,
Prabhakar